# Zola config

title = "david-swift"
base_url = "https://david.aparoksha.dev/"
description = "A student interested in coding. Loves GNOME and Swift!"
theme = "duckling"

minify_html = true
default_language = "en"
compile_sass = true
author = "david-swift"

generate_feeds = true
feed_filenames = ["rss.xml", "atom.xml"]

build_search_index = true
taxonomies = [{ name = "tags" }]

[markdown]
highlight_code = true
highlight_theme = "css"
smart_punctuation = true

[extra]
styles = [
  "custom.css"
]
accent_color = "#6E7DFB"
accent_color_dark = "#6E7DFB"
issues_url = "https://git.aparoksha.dev/david-swift/david.aparoksha.dev/issues"
source_url = "https://git.aparoksha.dev/david-swift/david.aparoksha.dev"
show_copy_button = true
show_share_button = true
hide_subproject_tags = true
hide_number_of_subprojects = true

[extra.footer]
show_copyright = true
show_powered_by = true
show_source = true
links = [
  { url = "https://mastodon.de/@david_swift", name = "Fediverse" },
  { url = "https://ko-fi.com/david_swift", name = "Donate" }
]

[extra.nav]
links = [
  { url = "https://www.aparoksha.dev/", name = "Aparoksha" },
]

[search]
index_format = "elasticlunr_json"

[extra.comments]
host = "mastodon.de"
user = "david_swift"
show_qr = true
